4

I have installed Cisco Packet Tracer 7.1.1 on Ubuntu 18.04. Every time I launch the application it closes and give me a message Segmentation fault (core dumped). Using the gdb, I went to the installation directory /opt/pt/bin and I typed the following commands:

$gdb Packettracer
$gdb > run
$gdb > where

Which reports a problem with libpng and libcrypto.so.1.0.0

Warning: libpng warning: iCCP: known incorrect sRGB profile
Warning: libpng warning: iCCP: known incorrect sRGB profile

Thread 1 "PacketTracer7" received signal SIGSEGV, Segmentation fault.
0x00007ffff79f49a7 in CRYPTO_add_lock () from /usr/lib/x86_64-linux- gnu/libcrypto.so.1.0.0

How can i fix this?

6
  • Are you using 14.04 or 18.04? Please specify correct Ubuntu version in tags and in question.
    – N0rbert
    May 23 '18 at 7:44
  • I'm using ubuntu 18.04. I dont have so much point in stackexchange to use the tag for ubuntu 18.04
    – noslin005
    May 23 '18 at 18:18
  • Thank you for great debugging method, I can confirm this issue on clean installation of Ubuntu 18.04 LTS. If it is possible, please report bug to Cisco. We can not change anything on Ubuntu side, I think. But they can recompile their proprietary software to support Ubuntu 18.04 LTS. We can not downgrade libcrypto.so.1.0.0 because it is a part of libssl1.0.0 package, which has a lot of reverse-dependencies. As alternative you may try previous version of CPT. But CPT 7.1.1 works on 16.04 LTS (see my answer).
    – N0rbert
    May 23 '18 at 20:40
  • What is the purpose of where command in gdb?
    – Sabrina
    Nov 17 '19 at 15:37
  • 1
    @Sabrina The gdb is for debugging.
    – noslin005
    Nov 18 '19 at 17:20
1

It seems to be a problem in the PacketTracer implementation.

I had the same issue here, but I solved the problem using the previous version of Packet Tracer (7.0). The Packet Tracer 7.0 is available at the Netacad portal.

4
  • @KarlRichter: it seems to be an answer... (edited to make it clearer)
    – Fabby
    May 28 '18 at 16:43
  • @Fabby Right. Thank you and sorry for the superficial check. May 28 '18 at 16:55
  • 1
    I wonder what a net academy portal has to do with packet tracer. And even more where on that page to find it without enrolling in a course.
    – Videonauth
    May 28 '18 at 17:09
  • netacad.com is a cisco site.
    – Thufir
    Jul 8 '18 at 4:04
1

After installing CPT:

sudo apt-get update
sudo apt-get install -y libqt5webkit5 libqt5multimedia5 libqt5xml5 libqt5script5 libqt5scripttools5
wget http://mirrors.kernel.org/ubuntu/pool/main/i/icu/libicu52_52.1-3ubuntu0.8_amd64.deb
wget http://ftp.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb
sudo dpkg -i libicu52_52.1-3ubuntu0.8_amd64.deb
sudo dpkg -i libpng12-0_1.2.50-2+deb8u3_amd64.deb

https://www.youtube.com/watch?v=CBXTmPo8330

Not the answer you're looking for? Browse other questions tagged or ask your own question.